package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @ClassName ActivityTeamProductSkuUpdModel
 * @Description 描述
 * @Author zhen_xiong_feng
 * @Date 2024/11/27 8:17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductSkuUpdModel extends ActivityTeamProductSkuInfo {

    /**
     * 团购活动ID
     */
    private Long teamId;

    /**
     * 删除商品规格ID
     */
    private Long productId;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;
}
